Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 780486 (CVE-2021-20307) - <media-libs/libpano13-2.9.20: format string vulnerability
Summary: <media-libs/libpano13-2.9.20: format string vulnerability
Status: RESOLVED FIXED
Alias: CVE-2021-20307
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://sourceforge.net/projects/pano...
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-06 01:54 UTC by John Helmert III
Modified: 2021-07-20 04:21 UTC (History)
1 user (show)

See Also:
Package list:
media-libs/libpano13-2.9.20
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Helmert III gentoo-dev Security 2021-04-06 01:54:45 UTC
CVE-2021-20307:

Format string vulnerability in panoFileOutputNamesCreate() in libpano13 2.9.20~rc2+dfsg-3 and earlier can lead to read and write arbitrary memory values.

Fixed in 2.9.20 according to URL. Please bump.
Comment 2 John Helmert III gentoo-dev Security 2021-04-06 18:15:53 UTC
Thank you! Please stabilize when ready.
Comment 3 Sam James archtester gentoo-dev Security 2021-05-02 01:39:24 UTC
Ping
Comment 4 Sam James archtester gentoo-dev Security 2021-05-09 04:00:47 UTC
arm64 done
Comment 5 Sam James archtester gentoo-dev Security 2021-05-09 06:00:13 UTC
amd64 done
Comment 6 Sam James archtester gentoo-dev Security 2021-05-09 06:00:53 UTC
x86 done

all arches done
Comment 7 Sam James archtester gentoo-dev Security 2021-05-09 06:07:44 UTC
Please cleanup.
Comment 8 Markus Meier gentoo-dev 2021-05-09 06:20:18 UTC
(In reply to Sam James from comment #7)
> Please cleanup.

Done https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed40409965667299d2d28c25560d24f2cfc6c8c0
Comment 9 Sam James archtester gentoo-dev Security 2021-05-09 06:28:05 UTC
(In reply to Markus Meier from comment #8)
> (In reply to Sam James from comment #7)
> > Please cleanup.
> 
> Done
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=ed40409965667299d2d28c25560d24f2cfc6c8c0

Thanks!
Comment 10 John Helmert III gentoo-dev Security 2021-07-16 01:54:08 UTC
GLSA request filed.
Comment 11 GLSAMaker/CVETool Bot gentoo-dev 2021-07-20 04:21:14 UTC
This issue was resolved and addressed in
 GLSA 202107-47 at https://security.gentoo.org/glsa/202107-47
by GLSA coordinator John Helmert III (ajak).